require "ssl2"

narray = SSL2.with_narray?


n=10000
m=20
ix=12345
p = 0.75
ia,ix,vw,ivw = SSL2.ranb2(m,p,ix,n)


sum=0
sumsq=0
for i in 0..n-1
  sum += ia[i]
  sumsq += ia[i]**2
end
mean = sum.to_f/n
dev = Math::sqrt(sumsq.to_f/n-mean*mean)
printf("observed mean = %12.4e  deviation = %12.4e\n",mean,dev)
printf("calculated mean = %12.4e  deviation =%12.4e\n",m*p,Math::sqrt(m*p*(1-p)))
